"use client";

import * as React from "react";
import { MoonIcon, SunIcon } from "@radix-ui/react-icons";
import { useTheme } from "next-themes";

import { Button } from "@/components/ui/button";
import {
  DropdownMenu,
  DropdownMenuContent,
  DropdownMenuItem,
  DropdownMenuTrigger,
} from "@/components/ui/dropdown-menu";

export function ThemeToggle() {
  const { setTheme } = useTheme();

  return (
    <DropdownMenu>
      <DropdownMenuTrigger asChild>
        <Button variant="outline" size="icon">
          <SunIcon className="h-[1.2rem] w-[1.2rem] rotate-0 scale-100 transition-all dark:-rotate-90 dark:scale-0" />
          <MoonIcon className="absolute h-[1.2rem] w-[1.2rem] rotate-90 scale-0 transition-all dark:rotate-0 dark:scale-100" />
          <span className="sr-only">Toggle theme</span>
        </Button>
      </DropdownMenuTrigger>
      <DropdownMenuContent align="end">
        {/* <DropdownMenuItem onClick={() => setTheme("light")}>
          Light
        </DropdownMenuItem>
        <DropdownMenuItem onClick={() => setTheme("dark")}>
          Dark
        </DropdownMenuItem>
        <DropdownMenuItem onClick={() => setTheme("system")}>
          System
        </DropdownMenuItem> */}
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "maya-blue");
          }}
        >
          Maya Blue
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "spring-green");
          }}
        >
          Spring Green
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "light-violet");
          }}
        >
          Light Violet
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "bright-turquoise");
          }}
        >
          Bright Turquoise
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "gold");
          }}
        >
          Gold
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "dracula");
          }}
        >
          Dracula
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "nord");
          }}
        >
          Nord
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "laracon");
          }}
        >
          Laracon
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "violett");
          }}
        >
          Violet
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "rosee");
          }}
        >
          Rose
        </DropdownMenuItem>
        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "orangee");
          }}
        >
          Orange
        </DropdownMenuItem>

        <DropdownMenuItem
          onClick={() => {
            document.documentElement.setAttribute("class", "greenn");
          }}
        >
          Green
        </DropdownMenuItem>
      </DropdownMenuContent>
    </DropdownMenu>
  );
}
