"use client";

import { Heading } from "@/components/ui/heading";
import { Separator } from "@/components/ui/separator";
import React from "react";
import { DataTable } from "./data-table";
import { columns } from "./columns";
import { User } from "@/types/user";
import Link from "next/link";
import { Plus } from "lucide-react";
import { buttonVariants } from "@/components/ui/button";

const ToolsTable = ({ users }: { users: User[] }) => {
  return (
    <>
      <div className="flex items-start justify-between">
        <Heading title={`Users (${users.length})`} description="Manage Users" />
        <Link
          href="#"
          className={buttonVariants({
            variant: "default",
            // size: "sm",
          })}
          // className="text-xs md:text-sm"
          // onClick={() => router.push(`/admin-dashboard/tools/add`)}
        >
          <Plus className="mr-2 h-4 w-4" /> Add User
        </Link>
      </div>
      <Separator />
      <DataTable data={users} columns={columns} />
      {/* <DataTable data={tasks} columns={columns} /> */}
    </>
  );
};

export default ToolsTable;
